Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions

# cv::FeatureDetector Class Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::FeatureDetector:

List of all members.

## Public Member Functions
void | detect (const Mat &image, vector< KeyPoint > &keypoints, const Mat &mask=Mat()) const
void | detect (const vector< Mat > &images, vector< vector< KeyPoint > > &keypoints, const vector< Mat > &masks=vector< Mat >()) const
virtual void | read (const FileNode &)
virtual void | write (FileStorage &) const
virtual | ~FeatureDetector ()
## Static Public Member Functions
static Ptr< FeatureDetector > | create (const string &detectorType)
## Protected Member Functions
virtual void | detectImpl (const Mat &image, vector< KeyPoint > &keypoints, const Mat &mask=Mat()) const =0
## Static Protected Member Functions
static void | removeInvalidPoints (const Mat &mask, vector< KeyPoint > &keypoints)

## Constructor & Destructor Documentation

virtual cv::FeatureDetector::~FeatureDetector | ( | ) | `[virtual]`

## Member Function Documentation

static Ptr<FeatureDetector> cv::FeatureDetector::create | ( | const string & | detectorType ) | `[static]`

Reimplemented in cv::AdjusterAdapter.

void cv::FeatureDetector::detect | ( | const Mat & | image,
|  | vector< KeyPoint > & | keypoints,
|  | const Mat & | mask = `Mat()`
| ) |  | const

void cv::FeatureDetector::detect | ( | const vector< Mat > & | images,
|  | vector< vector< KeyPoint > > & | keypoints,
|  | const vector< Mat > & | masks = `vector< Mat >()`
| ) |  | const

virtual void cv::FeatureDetector::detectImpl | ( | const Mat & | image,
|  | vector< KeyPoint > & | keypoints,
|  | const Mat & | mask = `Mat()`
| ) |  | const`[protected, pure virtual]`

Implemented in cv::FastFeatureDetector, cv::GoodFeaturesToTrackDetector, cv::MserFeatureDetector, cv::StarFeatureDetector, cv::SiftFeatureDetector, cv::SurfFeatureDetector, cv::DenseFeatureDetector, cv::GridAdaptedFeatureDetector, cv::PyramidAdaptedFeatureDetector, cv::DynamicAdaptedFeatureDetector, cv::FastAdjuster, cv::StarAdjuster, and cv::SurfAdjuster.

virtual void cv::FeatureDetector::read | ( | const FileNode & | ) | `[virtual]`

Reimplemented in cv::FastFeatureDetector, cv::GoodFeaturesToTrackDetector, cv::MserFeatureDetector, cv::StarFeatureDetector, cv::SiftFeatureDetector, and cv::SurfFeatureDetector.

static void cv::FeatureDetector::removeInvalidPoints | ( | const Mat & | mask,
|  | vector< KeyPoint > & | keypoints
| ) |  | `[static, protected]`

virtual void cv::FeatureDetector::write | ( | FileStorage & | ) | const`[virtual]`

Reimplemented in cv::FastFeatureDetector, cv::GoodFeaturesToTrackDetector, cv::MserFeatureDetector, cv::StarFeatureDetector, cv::SiftFeatureDetector, and cv::SurfFeatureDetector.

The documentation for this class was generated from the following file:

- C:/opt/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines